Severity: high

Sensitive Data Exposure

rails-session-decoder

Overview

All versions of rails-session-decoder are missing verification of the Message Authentication Code appended to the cookies. This may lead to decryption of cipher text thus exposing encrypted information.

Remediation

No fix is currently available. Consider using an alternative module until a fix is made available.

Have content suggestions? Send them to [email protected]

Advisory timeline

  1. published

    Advisory Published
    Dec 27th, 2018
  2. reported

    Dec 26th, 2018